org.apache.catalina.servlet4preview.http

## Interface HttpServletRequest

- All Superinterfaces:
    HttpServletRequest, ServletRequest

      public interface HttpServletRequest
      extends HttpServletRequest

  Provides early access to some parts of the proposed Servlet 4.0 API.

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServletMapping` | `getServletMapping()`
    `PushBuilder` | `newPushBuilder()` Obtain a builder for generating push requests.

    - ### Methods inherited from interface javax.servlet.http.HttpServletRequest

      `authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout, upgrade`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

- - ### Method Detail

    - #### getServletMapping

          ServletMapping getServletMapping()

    - #### newPushBuilder

          PushBuilder newPushBuilder()

      Obtain a builder for generating push requests. `PushBuilder` documents how this request will be used as the basis for a push request. Each call to this method will return a new instance, independent of any previous instance obtained.
      Returns:
        A builder that can be used to generate push requests based on this request or `null` if push is not supported. Note that even if a PushBuilder instance is returned, by the time that `PushBuilder.push()` is called, it may no longer be valid to push a request and the push request will be ignored.
      Since:
        Servlet 4.0

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.